import { adminCredentials } from '~/components/credentials';

export const headersWithAuth = () => {
  const credentials = adminCredentials();
  if (!credentials) {
    return null;
  }
  const { username, password } = credentials;
  const authString = `${username}:${password}`;
  const headers = new Headers();
  headers.set('Authorization', 'Basic ' + btoa(authString));
  return headers;
};
